declare const _default: import("vue").DefineComponent<{
    /**
     * 高级用法，继承UiTree，对内部方法进行重写来满足需求
     */
    treeModel: {
        default(): typeof UiTree;
    };
    /**
     * （受控）选中复选框的树节点
     *  注意：父子节点有关联，如果传入父节点 key，则子节点自动选中；相应当子节点 key 都传入，父节点也自动选中
     */
    modelValue: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * （受控）展开指定的树节点
     */
    expandedKeys: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * （受控）设置选中的树节点
     */
    selectedKey: {
        type: (NumberConstructor | StringConstructor)[];
        default: undefined;
    };
    /**
     * treeNodes 数据，如果设置则不需要手动构造
     * TreeNode 节点（key 在整个树范围内唯一
     */
    treeData: {
        type: ArrayConstructor;
        required: true;
    };
    /**
     * 替换 treeNode 中 title,key,children 字段为 treeData 中对应的字段
     */
    replaceFields: {
        type: ObjectConstructor;
        default: () => {};
    };
    /**
     * 是否自动展开父节点
     */
    autoExpandParent: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 节点前添加 Checkbox 复选框
     */
    checkable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * checkable 状态下节点选择完全受控（父子节点选中状态不再关联）
     */
    checkStrictly: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 默认选中复选框的树节点
     */
    defaultCheckedKeys: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * 默认展开所有树节点
     */
    defaultExpandAll: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 默认展开指定的树节点
     */
    defaultExpandedKeys: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * 默认选中的树节点
     */
    defaultSelectedKey: {
        type: (NumberConstructor | StringConstructor)[];
        default: undefined;
    };
    /**
     * 将整棵树设置为禁用状态
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 异步加载数据
     */
    loadData: {
        type: FunctionConstructor;
        default: undefined;
    };
    /**
     * 是否可选中
     */
    selectable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 设置需要展示的keys，为空时，全展示
     */
    visibleKeys: {
        type: ArrayConstructor;
        default: () => never[];
    };
    titleWidth: {
        type: NumberConstructor;
        default: number;
    };
}, any, {
    suffixLeft: number;
    suffixBlockWidth: number;
}, {
    suffixStyle(): {
        transform: string;
    };
    suffixBlockStyle(): {
        width: string;
    };
}, {
    refreshSuffixPosition(): void;
    setDefault(): Promise<void>;
    loadEnd(): Promise<void>;
    onCheck({ checked, node }: {
        checked: any;
        node: any;
    }): Promise<void>;
    check(key: any, checked: any): Promise<void>;
    onSelect({ selected, node }: {
        selected: any;
        node: any;
    }): Promise<void>;
    select(key: any, selected: any): Promise<void>;
    onExpand({ expanded, node }: {
        expanded: any;
        node: any;
    }): Promise<void>;
    expand(key: any, expanded: any): Promise<void>;
    onLoad({ node }: {
        node: any;
    }): void;
    getNodeByKey(key: any): Promise<any>;
    getExpandedNodes(): Promise<any>;
    getCheckedNodes(): Promise<any>;
    getSelectedNode(): Promise<any>;
    reload(key: any): Promise<void>;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * 高级用法，继承UiTree，对内部方法进行重写来满足需求
     */
    treeModel: {
        default(): typeof UiTree;
    };
    /**
     * （受控）选中复选框的树节点
     *  注意：父子节点有关联，如果传入父节点 key，则子节点自动选中；相应当子节点 key 都传入，父节点也自动选中
     */
    modelValue: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * （受控）展开指定的树节点
     */
    expandedKeys: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * （受控）设置选中的树节点
     */
    selectedKey: {
        type: (NumberConstructor | StringConstructor)[];
        default: undefined;
    };
    /**
     * treeNodes 数据，如果设置则不需要手动构造
     * TreeNode 节点（key 在整个树范围内唯一
     */
    treeData: {
        type: ArrayConstructor;
        required: true;
    };
    /**
     * 替换 treeNode 中 title,key,children 字段为 treeData 中对应的字段
     */
    replaceFields: {
        type: ObjectConstructor;
        default: () => {};
    };
    /**
     * 是否自动展开父节点
     */
    autoExpandParent: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 节点前添加 Checkbox 复选框
     */
    checkable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * checkable 状态下节点选择完全受控（父子节点选中状态不再关联）
     */
    checkStrictly: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 默认选中复选框的树节点
     */
    defaultCheckedKeys: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * 默认展开所有树节点
     */
    defaultExpandAll: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 默认展开指定的树节点
     */
    defaultExpandedKeys: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * 默认选中的树节点
     */
    defaultSelectedKey: {
        type: (NumberConstructor | StringConstructor)[];
        default: undefined;
    };
    /**
     * 将整棵树设置为禁用状态
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 异步加载数据
     */
    loadData: {
        type: FunctionConstructor;
        default: undefined;
    };
    /**
     * 是否可选中
     */
    selectable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 设置需要展示的keys，为空时，全展示
     */
    visibleKeys: {
        type: ArrayConstructor;
        default: () => never[];
    };
    titleWidth: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    disabled: boolean;
    titleWidth: number;
    checkable: boolean;
    selectable: boolean;
    replaceFields: Record<string, any>;
    modelValue: unknown[];
    expandedKeys: unknown[];
    selectedKey: string | number;
    visibleKeys: unknown[];
    treeModel: typeof UiTree;
    autoExpandParent: boolean;
    checkStrictly: boolean;
    defaultCheckedKeys: unknown[];
    defaultExpandAll: boolean;
    defaultExpandedKeys: unknown[];
    defaultSelectedKey: string | number;
    loadData: Function;
}>;
export default _default;
import UiTree from '../models/ui-tree';
